Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Liferea funktioniert/kompiliert nicht mehr
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Fijoldar
Apprentice
Apprentice


Joined: 10 Apr 2013
Posts: 248

PostPosted: Wed Oct 29, 2014 11:40 am    Post subject: [gelöst] Liferea funktioniert/kompiliert nicht mehr Reply with quote

Hallo,

nach dem heutigen @world-Update funktioniert Liferea nicht mehr, ich kann es auch nicht mehr neu kompilieren. Der Build-Prozess stürzt mit folgender Fehlermeldung ab:
Code:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/../../../../lib64/libwebkitgtk-3.0.so: undefined reference to `std::chrono::steady_clock::now()@GLIBCXX_3.4.17'


Versuche ich das noch installierte Liferea zu starten, erhalte ich
Code:
liferea
liferea: relocation error: /usr/lib64/libwebkitgtk-3.0.so.0: symbol _ZNSt6chrono12steady_clock3nowEv, version GLIBCXX_3.4.17 not defined in file libstdc++.so.6 with link time reference


Ich sehe jetzt aber nicht so wirklich, welches der aktualisierten Pakete dafür verantwortlich ist. Aktualisiert wurden
Code:
genlop -l --date today
 * packages merged:

     Wed Oct 29 10:32:23 2014 >>> dev-libs/libaio-0.3.110
     Wed Oct 29 10:32:56 2014 >>> media-libs/lcms-2.6-r1
     Wed Oct 29 10:33:43 2014 >>> dev-libs/libgcrypt-1.5.4-r1
     Wed Oct 29 10:34:05 2014 >>> dev-perl/DBI-1.628.0
     Wed Oct 29 10:34:52 2014 >>> media-libs/alsa-lib-1.0.28
     Wed Oct 29 10:35:32 2014 >>> net-libs/libvncserver-0.9.9-r3
     Wed Oct 29 10:36:28 2014 >>> dev-libs/cyrus-sasl-2.1.26-r9
     Wed Oct 29 10:36:55 2014 >>> media-sound/alsa-utils-1.0.28
     Wed Oct 29 10:37:08 2014 >>> dev-lua/luasocket-3.0_rc1-r3
     Wed Oct 29 10:37:31 2014 >>> dev-libs/popt-1.16-r2
     Wed Oct 29 11:18:09 2014 >>> sys-devel/gcc-4.8.3
     Wed Oct 29 11:19:43 2014 >>> net-misc/wget-1.16
     Wed Oct 29 11:20:02 2014 >>> net-dns/dnsmasq-2.66
     Wed Oct 29 11:20:26 2014 >>> net-libs/libpcap-1.6.2-r1
     Wed Oct 29 11:21:00 2014 >>> dev-python/pillow-2.5.3-r1
     Wed Oct 29 11:24:13 2014 >>> media-gfx/imagemagick-6.8.9.9
     Wed Oct 29 11:25:01 2014 >>> dev-db/libiodbc-3.52.8-r2
     Wed Oct 29 11:26:23 2014 >>> net-misc/owncloud-client-1.6.4
     Wed Oct 29 11:43:13 2014 >>> dev-lang/php-5.5.18
     Wed Oct 29 11:44:06 2014 >>> www-client/google-chrome-38.0.2125.111_p1
     Wed Oct 29 11:44:41 2014 >>> media-plugins/alsa-plugins-1.0.28
     Wed Oct 29 11:46:46 2014 >>> app-emulation/qemu-2.1.1
     Wed Oct 29 11:50:32 2014 >>> app-emulation/libvirt-1.2.9
     Wed Oct 29 11:51:38 2014 >>> app-emulation/libvirt-glib-0.1.8
     Wed Oct 29 11:52:04 2014 >>> dev-python/libvirt-python-1.2.9
     Wed Oct 29 11:52:25 2014 >>> net-libs/gupnp-igd-0.2.4
     Wed Oct 29 11:54:47 2014 >>> net-im/pidgin-2.10.10


Sieht hier jemand evtl. den Schuldigen? :) Ich hatte zunächst den gcc im Verdacht, aber auch mit dem alten 4.7.3 kompiliert liferea nicht mehr.


Last edited by Fijoldar on Wed Oct 29, 2014 10:20 pm; edited 1 time in total
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Oct 29, 2014 12:00 pm    Post subject: Reply with quote

Wechsel auf den neuen GCC-4.8.3 und dann bau webkit-gtk neu (wenn es mehrere Versionen gibt, dann beide).
Dann sollte es gehen.

Für genauere Infos suche mal nach ZNSt6chrono12steady auf bugs.gentoo.org
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Fijoldar
Apprentice
Apprentice


Joined: 10 Apr 2013
Posts: 248

PostPosted: Wed Oct 29, 2014 12:17 pm    Post subject: Reply with quote

Danke für den Hinweis. Ich hatte zunächst nichts gefunden, weil ich nur nach Liferea gesucht habe. Das Problem betrifft aber noch mehr Programme. Evolution z.B. ist ebenfalls kaputt.

Ich versuche mal webkit-gtk neu zu bauen. Wird halt etwas dauern. Mir ist es nur ein absolutes Rätsel, wieso die Installation des neuen gcc installierte Pakete schrottet. Die News "2014-10-26-gcc_4_7_introduced_new_c++11_abi" habe ich zwar gelesen, aber solange ich nichts mit dem neuen gcc baue, dachte ich, betrifft mich das auch nicht. Zumal der alte gcc 4.7.3 immer noch aktiv war.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Oct 29, 2014 2:59 pm    Post subject: Reply with quote

Soweit ich das verstanden habe ist dadurch die Reihenfolge in /etc/ld.so.conf falsch und damit wird mit einem GCC gebaut, gegen den anderen gelinkt.
Mit emerge --depclean fliegt aber der "alte" GCC:4.7 raus.
Also baue am Besten einfach mit dem 4.8 webkit-gtk neu und nutze nur noch diesen.

Aber in der Tat sehr sehr schlecht kommuniziert von Gentoo :/
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Fijoldar
Apprentice
Apprentice


Joined: 10 Apr 2013
Posts: 248

PostPosted: Wed Oct 29, 2014 10:20 pm    Post subject: Reply with quote

Ein Neubauen von webkit-gtk:3 hat geholfen. Danke.

Aber zum Glück hat Gentoo ja eine so gute Community, die dann einspringt. Da verzeiht man so etwas dann schonmal ;).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum